### Class

# Camel NullOutputStream

#### Description

    class Camel.NullOutputStream : Gio.OutputStream
    {
      CamelNullOutputStreamPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- GOutputStream
- GObject

#### Constructors

###### camel_null_output_stream_new

Creates a new “null” output stream.

since: 3.12

#### Instance methods

###### camel_null_output_stream_get_bytes_written

Gets the total number of bytes written to `null_stream`.

since: 3.12

###### camel_null_output_stream_get_ends_with_crlf

No description available.

since: 3.30

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelNullOutputStreamClass {
      GOutputStreamClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GOutputStreamClass`

  No description available.

`reserved: gpointer`

  No description available.